package pojos;
// Generated 17-Feb-2020 17:55:34 by Hibernate Tools 4.3.1


import java.util.Date;
import java.util.HashSet;
import java.util.Set;

/**
 * Asegurado generated by hbm2java
 */
public class Asegurado  implements java.io.Serializable {


     private Integer id;
     private String dni;
     private String nombre;
     private String apellido1;
     private String apellido2;
     private Date fechaNacimiento;
     private Set subvencions = new HashSet(0);
     private Set polizas = new HashSet(0);

    public Asegurado() {
    }

	
    public Asegurado(String dni) {
        this.dni = dni;
    }
    public Asegurado(String dni, String nombre, String apellido1, String apellido2, Date fechaNacimiento, Set subvencions, Set polizas) {
       this.dni = dni;
       this.nombre = nombre;
       this.apellido1 = apellido1;
       this.apellido2 = apellido2;
       this.fechaNacimiento = fechaNacimiento;
       this.subvencions = subvencions;
       this.polizas = polizas;
    }
   
    public Integer getId() {
        return this.id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }
    public String getDni() {
        return this.dni;
    }
    
    public void setDni(String dni) {
        this.dni = dni;
    }
    public String getNombre() {
        return this.nombre;
    }
    
    public void setNombre(String nombre) {
        this.nombre = nombre;
    }
    public String getApellido1() {
        return this.apellido1;
    }
    
    public void setApellido1(String apellido1) {
        this.apellido1 = apellido1;
    }
    public String getApellido2() {
        return this.apellido2;
    }
    
    public void setApellido2(String apellido2) {
        this.apellido2 = apellido2;
    }
    public Date getFechaNacimiento() {
        return this.fechaNacimiento;
    }
    
    public void setFechaNacimiento(Date fechaNacimiento) {
        this.fechaNacimiento = fechaNacimiento;
    }
    public Set getSubvencions() {
        return this.subvencions;
    }
    
    public void setSubvencions(Set subvencions) {
        this.subvencions = subvencions;
    }
    public Set getPolizas() {
        return this.polizas;
    }
    
    public void setPolizas(Set polizas) {
        this.polizas = polizas;
    }




}


